rpm 5.2.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

Files | Enumerations | Functions | Variables
RPMRC.
Collaboration diagram for RPMRC.:

## Files
file | rpmlib.h
| In Memoriam: Steve Taylor stayl.nosp@m.or@r.nosp@m.edhat.nosp@m..com was here, now he's not.
file | macro.c

## Enumerations
enum | rpm_machtable_e { RPM_MACHTABLE_INSTARCH = 0, RPM_MACHTABLE_INSTOS = 1, RPM_MACHTABLE_BUILDARCH = 2, RPM_MACHTABLE_BUILDOS = 3 }
| Build and install arch/os table identifiers. More...

## Functions
static void | rpmSetTables (int archTable, int osTable)
static int | rpmReadRC (const char *macrofiles)
| Read macro configuration file(s). More...

## Variables
const char * | rpmMacrofiles
| List of macro files to read when configuring rpm. More...

## Detailed Description

## Enumeration Type Documentation

enum rpm_machtable_e

Build and install arch/os table identifiers.

Deprecated:
  Eliminate from API.

Todo:
  Eliminate in rpm-5.1.

Enumerator
RPM_MACHTABLE_INSTARCH | Install platform architecture.
RPM_MACHTABLE_INSTOS | Install platform operating system.
RPM_MACHTABLE_BUILDARCH | Build platform architecture.
RPM_MACHTABLE_BUILDOS | Build platform operating system.

Definition at line 57 of file rpmrc.c.

## Function Documentation

static int rpmReadRC | ( | const char * | macrofiles | ) |
| static

Read macro configuration file(s).

Returns
  0 on success

Definition at line 1065 of file rpmrc.c.

References _free(), defaultsInitialized, rpmExpand(), rpmInitMacros(), and setDefaults().

Referenced by rpmReadConfigFiles().

static void rpmSetTables | ( | int | archTable,
|  | int | osTable
| ) |  |
| static

Deprecated:
  Use addMacro to set target* macros.

Todo:
  Eliminate in rpm-5.1. #

Note
  Only used by build code.

Parameters

  archTable |
  osTable |

Definition at line 807 of file rpmrc.c.

References ARCH, currTables, defaultMachine(), OS, and rebuildCompatTables().

Referenced by rpmRebuildTargetVars().

## Variable Documentation

const char* rpmMacrofiles

List of macro files to read when configuring rpm.

This is a colon separated list of files. URI's are permitted as well, identified by the token '://', so file paths must not begin with '//'.

Definition at line 62 of file macro.c.

Referenced by rpmReadConfigFiles(), and rpmShowRC().